#ifndef FUNCPERSONONWORK_H
#define FUNCPERSONONWORK_H

#include "FuncBase.h"
#include "spdlog/spdlog.h"


/**
 * @brief 人员在岗识别线程
 *        1、这个写入tWorkOnInfo表格，十分钟写一次，记录这十分钟内的在岗离岗的人员信息，同时记录这十分钟房间内
 *           的人员数量最大值和最小值。
 *        2、
 *        3、这个线程也会进行在岗离岗的识别报警
 * 
 */

class FuncPersonOnWork : public FuncBase
{
public:
    FuncPersonOnWork();
    ~FuncPersonOnWork();

protected:
    void task() override;

private:
    ListAlarmInfo m_listAlarm;                  /* 报警列表 */
    /* 保存每个摄像机的报警信息 */
    std::shared_ptr<std::list<AlarmInfo>> m_pListAlarm = nullptr;
    /* 保存人脸信息的数据 */
    ListRoomFaceInfo* m_pListRoomFace = nullptr;

};

#endif /* FUNCPERSONONWORK_H */
